PROBE::NETFILTER.I(3stap)

NAME
probe::netfilter.ip.pre_routing - Called before an IP packet is routed

SYNOPSIS

netfilter.ip.pre_routing

VALUES

indev
    Address of net_device representing input device, 0 if unknown

sport
    TCP or UDP source port (ipv4 only)

pf
    Protocol family - either 'ipv4' or 'ipv6'

outdev
    Address of net_device representing output device, 0 if unknown

ipproto_tcp
    Constant used to signify that the packet protocol is TCP

family
    IP address family

dport
    TCP or UDP destination port (ipv4 only)

syn
    TCP SYN flag (if protocol is TCP; ipv4 only)

nf_stolen
    Constant used to signify a 'stolen' verdict

data_hex
    A hexadecimal string representing the packet buffer contents

nf_accept
    Constant used to signify an 'accept' verdict

indev_name
    Name of network device packet was received on (if known)

urg
    TCP URG flag (if protocol is TCP; ipv4 only)

rst
    TCP RST flag (if protocol is TCP; ipv4 only)

nf_drop
    Constant used to signify a 'drop' verdict

nf_repeat
    Constant used to signify a 'repeat' verdict

length
    The length of the packet buffer contents, in bytes

iphdr
    Address of IP header

data_str
    A string representing the packet buffer contents

fin
    TCP FIN flag (if protocol is TCP; ipv4 only)

ipproto_udp
    Constant used to signify that the packet protocol is UDP

psh
    TCP PSH flag (if protocol is TCP; ipv4 only)

protocol
    Packet protocol from driver (ipv4 only)

nf_queue
    Constant used to signify a 'queue' verdict

nf_stop
    Constant used to signify a 'stop' verdict

daddr
    A string representing the destination IP address

outdev_name
    Name of network device packet will be routed to (if known)

saddr
    A string representing the source IP address

ack
    TCP ACK flag (if protocol is TCP; ipv4 only)

SEE ALSO
tapset::netfilter(3stap)